@ECHO OFF

dotnet build ^
	"Nuclex.Support/Nuclex.Support (netstandard-2.0).csproj" ^
	--configuration Release

dotnet build ^
	"Nuclex.Windows.Forms/Nuclex.Windows.Forms (net-4.6)(net-8.0).csproj" ^
	--configuration Release ^
	--no-dependencies

dotnet build ^
	"Nuclex.Avalonia/Nuclex.Avalonia (netstandard-2.0).csproj" ^
	--configuration Release ^
	--no-dependencies

dotnet build ^
	"Nuclex.Windows.Forms.Ninject/Nuclex.Windows.Forms.Ninject (net-4.6)(net-8.0).csproj" ^
	--configuration Release ^
	--no-dependencies

dotnet build ^
	"Nuclex.Windows.Forms.DependencyInjection/Nuclex.Windows.Forms.DependencyInjection (net-4.6)(net-8.0).csproj" ^
	--configuration Release ^
	--no-dependencies

dotnet build ^
	"Nuclex.Avalonia.DependencyInjection/Nuclex.Avalonia.DependencyInjection (netstandard-2.0).csproj" ^
	--configuration Release ^
	--no-dependencies

:: ----------------------------------------------------------------------------

nuget pack ^
	nuspecs\Nuclex.Foundation.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

nuget pack ^
	nuspecs\Nuclex.Mvvm.WinForms.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

nuget pack ^
	nuspecs\Nuclex.Mvvm.Avalonia.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

nuget pack ^
	nuspecs\Nuclex.Mvvm.WinForms.Ninject.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

nuget pack ^
	nuspecs\Nuclex.Mvvm.Winforms.DependencyInjection.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

nuget pack ^
	nuspecs\Nuclex.Mvvm.Avalonia.DependencyInjection.nuspec ^
	-Version 1.3.0 ^
	-Properties Configuration=Release 

echo.
echo Packages built.
echo.
echo Now upload them to NuGet or a local package repository:
echo.
echo nuget push Nuclex.Foundation.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo nuget push Nuclex.Mvvm.Avalonia.DependencyInjection.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo nuget push Nuclex.Mvvm.Avalonia.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo nuget push Nuclex.Mvvm.Winforms.DependencyInjection.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo nuget push Nuclex.Mvvm.WinForms.Ninject.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo nuget push Nuclex.Mvvm.WinForms.1.3.0.nupkg -Source nuclex-shared-dotnet -ApiKey api-key
echo.
